me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons

## Class Addon

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable
    - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Addon

    public class Addon
    extends Colorable

### Constructor Summary

Constructors
Constructor and Description
`Addon()`
`Addon(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, org.bukkit.inventory.ItemStack skin, org.bukkit.Color color)` Addon constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)` Spawn this part as armorstand

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable

`getColor, getSkin, getSkinColored, setColor, setSkin`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`applyExtraOffset, despawnStand, getHolder, getIsCustomPlaced, getOwningVehicle, getUID, getXOffset, getYOffset, getZOffset, setHolder, setIsCustomPlaced, setOwningVehicle, setUID, setXOffset, setYOffset, setZOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Addon

    public Addon(java.lang.Double xOffset,
                 java.lang.Double yOffset,
                 java.lang.Double zOffset,
                 org.bukkit.inventory.ItemStack skin,
                 org.bukkit.Color color)

Addon constructor

Parameters:
  `xOffset` - x offset of the addon (forward)
  `yOffset` - y offset of the addon (up)
  `zOffset` - z offset of the addon (left)
  `skin` - the skin of the addon
  `color` - the color of the addon

#### Addon

    public Addon()

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

Spawn this part as armorstand

Overrides:
  `spawnStand` in class `Part`
Parameters:
  `base` - the base Location of the vehicle
  `owningVehicle` - the owning vehicle